﻿<AML>
 <Item type="Method" id="7F5FB0F5287E47EBA2F10719FED166A9" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_pay_check_remove
Created By/Company:		SolidCAD
Creation Date:			2018-01-23
Description:
    When check Pay Selection and change Payment in Payment Detail and Bulk Receivable Detail,
	-Calculate Receive Amount and set.

Hooks:
	Type:		ItemType    :   acc_AccountsReceivableDetail
	Event:		acc_pay_check   ( OnEditFinish )
	
	Type:		ItemType    :   Acc_AccountPayable_Detail
	Event:		acc_pay_check   ( OnEditFinish )

Revisions:
	Rev Date		Modified By			Description
	2018-07-17		Chan				Doesn't update partial payment amount in details.
***************************************************************************** */
//debugger;
var thisItem = parent.thisItem;

var receive_total = parent.thisItem.getProperty("acc_total_payment_amount");
var relitm = thisItem.getItemsByXPath("//Item[@id = '" + relationshipID + "']").getItemByIndex(0);
var acc_pay_check = relitm.getProperty("acc_pay_check");
var acc_payment = relitm.getProperty("acc_payment");
var acc_payment = parseFloat(acc_payment);
if (acc_pay_check !== "1") {

    if (receive_total > 0 && acc_payment > 0) {
        var receive_total_amount = (receive_total - acc_payment);
        parent.thisItem.setProperty("acc_total_payment_amount", receive_total_amount);

    }
}

var objwin = top.aras.uiFindWindowEx(thisItem.getID());
if (objwin) {
    objwin.updateRootItem(parent.item);
}

function myHandleItemChange(property, value) {
    if (top.instance.document) {
        top.instance.handleItemChange(property, value);
    } else {
        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_pay_check_remove</name>
 </Item>
</AML>